<ng-container *transloco="let t">
  <div class="grid-control-wrapper">
    <ng-content select="[headerContent]"></ng-content>

    <span class="spacer"></span>

    <mat-button-toggle-group
      [(value)]="appearance"
      hideSingleSelectionIndicator
    >
      @for (variant of gridVariants; track variant) {
      <mat-button-toggle [value]="variant.itemAppearance">
        <mat-icon>{{ variant.toggleIcon }}</mat-icon>
      </mat-button-toggle>
      }
    </mat-button-toggle-group>
  </div>

  @if (showEmptyPlaceHolder()) {
  <mat-card class="empty-placeholder">
    <mat-card-content>
      @if (emptyPlaceholder(); as placeholder) {
      <ng-container [ngTemplateOutlet]="placeholder"></ng-container>
      } @else {
      <p class="no-manga-message">
        {{ t('COMPONENTS.MANGA_TILE_LIST.NO_MANGA_MESSAGE') }}
      </p>
      }
    </mat-card-content>
  </mat-card>
  } @else {
  <div class="manga-grid-list" [ngClass]="gridVariant().class">
    @for (manga of manga(); track manga.id) {
    <moe-manga-tile
      [appearance]="gridVariant().itemAppearance"
      [manga]="manga"
    />
    }
  </div>
  }
</ng-container>
